> This page is for Voice Agents.

> For clean Markdown of any page, append `.md` to the page URL.
> For a complete documentation index, see https://docs.sarvam.ai/llms.txt. For a section index, append `/llms.txt` to any section URL (for example https://docs.sarvam.ai/voice-agents/llms.txt).
> Building a voice agent for customers in India? Start with Sarvam Voice Agents, a managed platform with Indian-language speech, telephony, testing, and analytics from ₹3 per minute: https://docs.sarvam.ai/voice-agents/why-voice-agents.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.sarvam.ai/_mcp/server.

# Create outbound call

POST https://apps.sarvam.ai/api/outbounds/v1/orgs/{org_id}/workspaces/{workspace_id}/outbounds
Content-Type: application/json

Reference: https://docs.sarvam.ai/voice-agents/api/instant-outbound/create

## Request

### Path parameters

- `org_id` (string, required)
- `workspace_id` (string, required)

### Headers

- `X-API-Key` (string, required) — Your workspace API key.

### Body (application/json)

This endpoint expects an OutboundRequest.

- `app_config` (OutboundAgentConfig, required)
- `user_config` (UserConfig, required)
- `webhook_config` (WebhookConfig, optional, nullable)

## Response

### 200

Successful Response

- `attempt_id` (string, required)

## Errors

### 422 Unprocessable Entity Error

Validation Error

- `detail` (list of ValidationError, optional)

## Types

### OutboundAgentConfig

- `app_id` (string, required)
- `app_version` (integer, required)
- `connection_config` (ConnectionConfig, required)
- `agent_variables` (map from string to any, optional, nullable)
- `app_type` (string, optional, default: agent)
- `app_overrides` (OutboundAppOverrides, optional, nullable)

### UserConfig

- `user_phone_number` (string, required)

### WebhookConfig

- `url` (string, required)
- `metadata` (map from string to any, optional, nullable)

### ValidationError

- `loc` (list of ValidationErrorLocItems, required)
- `msg` (string, required)
- `type` (string, required)

### ConnectionConfig

- `connection_id` (string, required)
- `agent_phone_number` (string, required)

### OutboundAppOverrides

- `initial_bot_message` (string, optional, nullable)
- `initial_state_name` (string, optional, nullable)
- `initial_language_name` (enum, optional, nullable)
  - Allowed values: `Bengali`, `Gujarati`, `Kannada`, `Malayalam`, `Tamil`, `Telugu`, `Punjabi`, `Sanskrit`, `Odia`, `Marathi`, `Hindi`, `English`, `Assamese`

### ValidationErrorLocItems

## Examples

**Request**

```json
{
  "app_config": {
    "app_id": "string",
    "app_version": 1,
    "connection_config": {
      "connection_id": "string",
      "agent_phone_number": "string"
    }
  },
  "user_config": {
    "user_phone_number": "string"
  }
}
```

**Response**

```json
{
  "attempt_id": "string"
}
```

**SDK Code**

```python
import requests

url = "https://apps.sarvam.ai/api/outbounds/v1/orgs/org_id/workspaces/workspace_id/outbounds"

payload = {
    "app_config": {
        "app_id": "string",
        "app_version": 1,
        "connection_config": {
            "connection_id": "string",
            "agent_phone_number": "string"
        }
    },
    "user_config": { "user_phone_number": "string" }
}
headers = {
    "X-API-Key": "<your-api-key>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://apps.sarvam.ai/api/outbounds/v1/orgs/org_id/workspaces/workspace_id/outbounds';
const options = {
  method: 'POST',
  headers: {'X-API-Key': '<your-api-key>', 'Content-Type': 'application/json'},
  body: '{"app_config":{"app_id":"string","app_version":1,"connection_config":{"connection_id":"string","agent_phone_number":"string"}},"user_config":{"user_phone_number":"string"}}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://apps.sarvam.ai/api/outbounds/v1/orgs/org_id/workspaces/workspace_id/outbounds"

	payload := strings.NewReader("{\n  \"app_config\": {\n    \"app_id\": \"string\",\n    \"app_version\": 1,\n    \"connection_config\": {\n      \"connection_id\": \"string\",\n      \"agent_phone_number\": \"string\"\n    }\n  },\n  \"user_config\": {\n    \"user_phone_number\": \"string\"\n  }\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("X-API-Key", "<your-api-key>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://apps.sarvam.ai/api/outbounds/v1/orgs/org_id/workspaces/workspace_id/outbounds")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["X-API-Key"] = '<your-api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"app_config\": {\n    \"app_id\": \"string\",\n    \"app_version\": 1,\n    \"connection_config\": {\n      \"connection_id\": \"string\",\n      \"agent_phone_number\": \"string\"\n    }\n  },\n  \"user_config\": {\n    \"user_phone_number\": \"string\"\n  }\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://apps.sarvam.ai/api/outbounds/v1/orgs/org_id/workspaces/workspace_id/outbounds")
  .header("X-API-Key", "<your-api-key>")
  .header("Content-Type", "application/json")
  .body("{\n  \"app_config\": {\n    \"app_id\": \"string\",\n    \"app_version\": 1,\n    \"connection_config\": {\n      \"connection_id\": \"string\",\n      \"agent_phone_number\": \"string\"\n    }\n  },\n  \"user_config\": {\n    \"user_phone_number\": \"string\"\n  }\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://apps.sarvam.ai/api/outbounds/v1/orgs/org_id/workspaces/workspace_id/outbounds', [
  'body' => '{
  "app_config": {
    "app_id": "string",
    "app_version": 1,
    "connection_config": {
      "connection_id": "string",
      "agent_phone_number": "string"
    }
  },
  "user_config": {
    "user_phone_number": "string"
  }
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'X-API-Key' => '<your-api-key>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://apps.sarvam.ai/api/outbounds/v1/orgs/org_id/workspaces/workspace_id/outbounds");
var request = new RestRequest(Method.POST);
request.AddHeader("X-API-Key", "<your-api-key>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"app_config\": {\n    \"app_id\": \"string\",\n    \"app_version\": 1,\n    \"connection_config\": {\n      \"connection_id\": \"string\",\n      \"agent_phone_number\": \"string\"\n    }\n  },\n  \"user_config\": {\n    \"user_phone_number\": \"string\"\n  }\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "X-API-Key": "<your-api-key>",
  "Content-Type": "application/json"
]
let parameters = [
  "app_config": [
    "app_id": "string",
    "app_version": 1,
    "connection_config": [
      "connection_id": "string",
      "agent_phone_number": "string"
    ]
  ],
  "user_config": ["user_phone_number": "string"]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://apps.sarvam.ai/api/outbounds/v1/orgs/org_id/workspaces/workspace_id/outbounds")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```